<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>netcoreapp3.1</TargetFramework>
		<OutputType>Library</OutputType>
	</PropertyGroup>

	<ItemGroup>
		<FrameworkReference Include="Microsoft.AspNetCore.App" />
	</ItemGroup>

	<ItemGroup Condition="'$(CloudburstSolution)' != 'True'">
		<PackageReference Include="Cloudburst.Version.Abstractions" Version="$(CloudburstVersion)" />
	</ItemGroup>

	<ItemGroup Condition="'$(CloudburstSolution)' == 'True'">
		<ProjectReference Include="..\..\Cloudburst-Version\Cloudburst.Version.Abstractions\Cloudburst.Version.Abstractions.csproj" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Cloudburst.ServiceRegistration.Abstractions\Cloudburst.ServiceRegistration.Abstractions.csproj" />
		<ProjectReference Include="..\Cloudburst.ServiceRegistration.Models\Cloudburst.ServiceRegistration.Models.csproj" />
		<ProjectReference Include="..\Cloudburst.ServiceRegistration.Repositories.Abstractions\Cloudburst.ServiceRegistration.Repositories.Abstractions.csproj" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Consul" Version="0.7.2.6" />
		<PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="3.1.3" />
		<PackageReference Include="Microsoft.Extensions.Options" Version="3.1.3" />
		<PackageReference Include="Polly" Version="7.2.0" />
	</ItemGroup>

</Project>
